Subject: Josko Deletis - Restore USM content
From: ClickUp Notifications <[email-masked]>
To: [email-masked]
Date: Tue, 24 Nov 2020 15:41:57 +0000

New comment

by Maria Reyes

Customer Service > Inquiries

Josko Deletis - Restore USM content

@Ash L First off, I was reviewing the email correspondence, the client sent Kartra recommendation last Nov 11th and I was only made aware of this today when the client reached out again, I am not sure why this was only sent to me. I will respond to Josko and please review for future use.

View task

Replies to this email will be added as comments

© 2020 ClickUp | San Diego, CA

Change email settings